Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_POA_Manager Class Reference

`#include <POAManager.h>`

Inheritance diagram for TAO_POA_Manager:

[legend]
Collaboration diagram for TAO_POA_Manager:

[legend]
List of all members.

## Public Methods
void | activate (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
void | hold_requests (CORBA::Boolean wait_for_completion ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
void | discard_requests (CORBA::Boolean wait_for_completion ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
void | deactivate (CORBA::Boolean etherealize_objects, CORBA::Boolean wait_for_completion ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
PortableServer::POAManager::State | get_state (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| TAO_POA_Manager (TAO_Object_Adapter &object_adapter)
| ~TAO_POA_Manager (void)
PortableInterceptor::AdapterManagerId | get_manager_id (ACE_ENV_SINGLE_ARG_DECL)
## Protected Types
typedef ACE_Unbounded_Set< TAO_POA * > | POA_COLLECTION
## Protected Methods
void | activate_i (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
void | deactivate_i (CORBA::Boolean etherealize_objects, CORBA::Boolean wait_for_completion ACE_ENV_ARG_DECL) throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
void | adapter_manager_state_changed (PortableServer::POAManager::State state ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
void | hold_requests_i (CORBA::Boolean wait_for_completion ACE_ENV_ARG_DECL) throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
void | discard_requests_i (CORBA::Boolean wait_for_completion ACE_ENV_ARG_DECL) throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)
PortableServer::POAManager::State | get_state_i () throw (CORBA::SystemException)
ACE_Lock & | lock (void)
int | remove_poa (TAO_POA *poa)
int | register_poa (TAO_POA *poa)
PortableInterceptor::AdapterManagerId | generate_manager_id (void) const
## Protected Attributes
PortableServer::POAManager::State | state_
ACE_Lock & | lock_
POA_COLLECTION | poa_collection_
TAO_Object_Adapter & | object_adapter_
PortableInterceptor::AdapterManagerId | poa_manager_id_
## Friends
class | TAO_POA
class | TAO_Object_Adapter

## Member Typedef Documentation

typedef ACE_Unbounded_Set<TAO_POA *> TAO_POA_Manager::POA_COLLECTION`[protected]`

## Constructor & Destructor Documentation

TAO_POA_Manager::TAO_POA_Manager | ( | TAO_Object_Adapter & | object_adapter | ) |

TAO_POA_Manager::~TAO_POA_Manager | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE void TAO_POA_Manager::activate | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)`[virtual]`

| Implements PortableServer::POAManager.

void TAO_POA_Manager::activate_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)`[protected]`

void TAO_POA_Manager::adapter_manager_state_changed | ( | PortableServer::POAManager::State state | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[protected]`

| Method needed for notifying the IORInterceptors that the state of POAManager changed.

ACE_INLINE void TAO_POA_Manager::deactivate | ( | CORBA::Boolean | etherealize_objects,
|  | CORBA::Boolean wait_for_completion | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)`[virtual]`

| Implements PortableServer::POAManager.

void TAO_POA_Manager::deactivate_i | ( | CORBA::Boolean | etherealize_objects,
|  | CORBA::Boolean wait_for_completion | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)`[protected]`

ACE_INLINE void TAO_POA_Manager::discard_requests | ( | CORBA::Boolean wait_for_completion | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)`[virtual]`

| Implements PortableServer::POAManager.

void TAO_POA_Manager::discard_requests_i | ( | CORBA::Boolean wait_for_completion | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)`[protected]`

ACE_INLINE PortableInterceptor::AdapterManagerId TAO_POA_Manager::generate_manager_id | ( | void |  | ) | const`[protected]`

| Generate an AdapterManagerId for this POAManager. Returns: A value that uniquely identifies the POAManager within a given process.

PortableInterceptor::AdapterManagerId TAO_POA_Manager::get_manager_id | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

ACE_INLINE PortableServer::POAManager::State TAO_POA_Manager::get_state | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Implements PortableServer::POAManager.

ACE_INLINE PortableServer::POAManager::State TAO_POA_Manager::get_state_i | ( |  | ) | throw (CORBA::SystemException)`[protected]`

ACE_INLINE void TAO_POA_Manager::hold_requests | ( | CORBA::Boolean wait_for_completion | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)`[virtual]`

| Implements PortableServer::POAManager.

void TAO_POA_Manager::hold_requests_i | ( | CORBA::Boolean wait_for_completion | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, PortableServer::POAManager::AdapterInactive)`[protected]`

| Whenever the POAManager state is changed, the adapter_manager_state_changed method is to be invoked on all the IOR Interceptors.

ACE_INLINE ACE_Lock & TAO_POA_Manager::lock | ( | void |  | ) | `[protected]`

int TAO_POA_Manager::register_poa | ( | TAO_POA * | poa | ) | `[protected]`

int TAO_POA_Manager::remove_poa | ( | TAO_POA * | poa | ) | `[protected]`

## Friends And Related Function Documentation

friend class TAO_Object_Adapter`[friend]`

friend class TAO_POA`[friend]`

## Member Data Documentation

ACE_Lock& TAO_POA_Manager::lock_`[protected]`

TAO_Object_Adapter& TAO_POA_Manager::object_adapter_`[protected]`

POA_COLLECTION TAO_POA_Manager::poa_collection_`[protected]`

PortableInterceptor::AdapterManagerId TAO_POA_Manager::poa_manager_id_`[protected]`

PortableServer::POAManager::State TAO_POA_Manager::state_`[protected]`

The documentation for this class was generated from the following files:

- POAManager.h
- POAManager.cpp
- POAManager.i